package com.rjconsultores.ventaboletos.web.utilerias;

import java.util.Locale;

import org.zkoss.text.DateFormatInfo;

/**
 * Classe que controla a formatação padrão de todos os componentes datebox.
 * 
 * Sua inicialização é feita na classe {@link MyAppInit#init(org.zkoss.zk.ui.WebApp)}
 * 
 * Mais informações em -> https://www.zkoss.org/wiki/ZK_Developer's_Reference/Internationalization/Date_and_Time_Formatting
 * 
 * Caso deseje fazer por user (session): https://www.zkoss.org/wiki/ZK_Developer's_Reference/Internationalization/Locale
 * 
 * @author gleim
 *
 */
public class MyDateFormatInfo implements DateFormatInfo {

	@Override
	public String getDateFormat(int style, Locale locale) {
		return "dd/MM/yyyy";
	}

	@Override
	public String getTimeFormat(int style, Locale locale) {
		return "HH:mm";
	}

	@Override
	public String getDateTimeFormat(int dateStyle, int timeStyle, Locale locale) {
		return "dd/MM/yyyy HH:mm";
	}

}
